View Issue Details

IDProjectCategoryView StatusLast Update
0003873SymmetricDSImprovementpublic2019-05-22 13:47
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.0 
Target Version3.10.0Fixed in Version3.10.0 
Summary0003873: Keep alive for slow acknowledgement
DescriptionLogs show ack callback after a pull can timeout, followed by the "server is busy" error messages, leading users to believe there is a problem. Try to keep connection alive when acks are slow. Use Content-Type of chunked to get immediate response when posting to ack URL, with keep-alive output to be read that keeps the connection alive.
TagsNo tags attached.

Relationships

related to 0003974 closedelong Too many threads, crashing server 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.10 8b18bfbe

2019-02-13 13:24:37

admin

Details Diff
0003873: Keep alive for slow acknowledgement
0003873
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/http/HttpTransportManager.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/AckUriHandler.java Diff File

Issue History

Date Modified Username Field Change
2019-02-13 12:50 elong New Issue
2019-02-13 12:50 elong Status new => assigned
2019-02-13 12:50 elong Assigned To => elong
2019-02-13 14:00 admin Changeset attached => SymmetricDS 3.10 8b18bfbe
2019-02-13 15:00 elong Status assigned => resolved
2019-02-13 15:00 elong Resolution open => fixed
2019-02-13 15:00 elong Fixed in Version => 3.10.0
2019-03-14 08:48 admin Status resolved => closed
2019-05-22 13:47 elong Relationship added related to 0003974